<?php
/**
 * UserTypeEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CommunicationManagerClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Communication manager
 *
 * Ensi Communication manager
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\CommunicationManagerClient\Dto;
use \Ensi\CommunicationManagerClient\ObjectSerializer;

/**
 * UserTypeEnum Class Doc Comment
 *
 * @category Class
 * @description Тип пользователя. Расшифровка значений:   * &#x60;1&#x60; - Сотрудник   * &#x60;2&#x60; - Продавец   * &#x60;3&#x60; - Покупатель
 * @package  Ensi\CommunicationManagerClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class UserTypeEnum
{
    
    /** Сотрудник */
    public const ADMIN = 1;
    
    /** Продавец */
    public const SELLER = 2;
    
    /** Покупатель */
    public const CUSTOMER = 3;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::ADMIN,
            self::SELLER,
            self::CUSTOMER,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::ADMIN => 'Сотрудник',
            self::SELLER => 'Продавец',
            self::CUSTOMER => 'Покупатель',
        ];
    }
}


